import request from '@/utils/request'

// 查询小程序党建福利信息列表
export function listGuide(query) {
  return request({
    url: '/system/welfare/list',
    method: 'get',
    params: query
  })
}

// 查询小程序党建福利信息详细
export function getGuide(id) {
  return request({
    url: '/system/welfare/' + id,
    method: 'get'
  })
}

// 新增小程序党建福利信息
export function addGuide(data) {
  return request({
    url: '/system/welfare',
    method: 'post',
    data: data
  })
}

// 修改小程序党建福利信息
export function updateGuide(data) {
  return request({
    url: '/system/welfare',
    method: 'put',
    data: data
  })
}

// 删除小程序党建福利信息
export function delGuide(id) {
  return request({
    url: '/system/welfare/' + id,
    method: 'delete'
  })
}
